apt 3.1.11 commandline package manager

Public Member Functions | Public Attributes | List of all members
pkgDepCache::StateCache Struct Reference

## Public Member Functions
void | Update (PkgIterator Pkg, pkgCache &Cache)
bool | NewInstall () const
bool | Delete () const
bool | Purge () const
bool | Keep () const
bool | Protect () const
bool | Upgrade () const
bool | Upgradable () const
bool | Downgrade () const
bool | Held () const
bool | NowBroken () const
bool | NowPolicyBroken () const
bool | InstBroken () const
bool | InstPolicyBroken () const
bool | Install () const
bool | ReInstall () const
VerIterator | InstVerIter (pkgCache &Cache)
VerIterator | CandidateVerIter (pkgCache &Cache)

## Public Attributes
const char * | CandVersion
const char * | CurVersion
Version * | CandidateVer
Version * | InstallVer
unsigned short | Flags
unsigned short | iFlags
bool | Marked
| true if this package can be reached from the root set.
bool | Garbage
| true if this package is unused and should be removed.
signed char | Status
unsigned char | Mode
unsigned char | DepState

## Member Data Documentation

## ◆ Garbage

bool Garbage

true if this package is unused and should be removed.

This differs from !Marked, because it is possible that some unreachable packages will be protected from becoming garbage.

The documentation for this struct was generated from the following files:

- apt-pkg/depcache.h
- apt-pkg/depcache.cc